Subject: [alpine-aports] [PATCH 2/6] testing/py-jmespath: new aport

From: Valery Kartel <[email-masked]>
Date: Mon, 14 Mar 2016 15:55:28 +0200

JMESPath is a query language for JSON
http://jmespath.org
---
 testing/py-jmespath/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/py-jmespath/APKBUILD

diff --git a/testing/py-jmespath/APKBUILD b/testing/py-jmespath/APKBUILD
new file mode 100644
index 0000000..32a685b
--- /dev/null
+++ b/testing/py-jmespath/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Valery Kartel <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
+pkgname=py-jmespath
+_pkgname=jmespath
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="JMESPath is a query language for JSON"
+url="http://jmespath.org"
+arch="noarch"
+license="custom"
+depends="python"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc $pkgname-tools"
+source="$_pkgname-$pkgver.tar.gz::https://github.com/boto/$_pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname.py-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	install -D -m0644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+tools() {
+        pkgdesc="$pkgdesc (command line tools)"
+        depends="$pkgname"
+        arch="noarch"
+        mkdir -p "$subpkgdir"/usr
+        mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="0b4e773df9b74377b916cb156c2be144  jmespath-0.9.0.tar.gz"
+sha256sums="64ba1d91bafef53b730d9eb696aa4a74df3dc5b6ff728c5563069382936da860  jmespath-0.9.0.tar.gz"
+sha512sums="123c49184add3a994f4289ca79152234b6723ec4ba10a090d0823f12124925ea50ff8b16d0ea491e7a0505181216faa696442ac2fd0c9b2972c78fd1e42fd850  jmespath-0.9.0.tar.gz"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---